高手们都来啊!求救!kernel-devel的问题!!

为当前最终发行版之前的所有版本提供支持
回复
ahfyryf
帖子: 2
注册时间: 2011-01-11 11:45
送出感谢: 0
接收感谢: 0

高手们都来啊!求救!kernel-devel的问题!!

#1

帖子 ahfyryf » 2011-01-11 12:05

高手们都来啊!求救!我下载的是10.10的destop版的,装在vm上,现在我要装vm-tools,
遇到Searching for a valid kernel header path...
The path "" is not valid.
这样的问题,网上有同学说是没装kernel-devel的问题,
用yum install kernel-devel
得到如下结果
Setting up Install Process
No package kernel-devel available.
Nothing to do
是不是还没有和这个版本匹配的kernel-devel啊还是其他问题呢
kernel-devel到哪下载呢
头像
astolia
论坛版主
帖子: 3025
注册时间: 2008-09-18 13:11
送出感谢: 1 次
接收感谢: 497 次

Re: 高手们都来啊!求救!kernel-devel的问题!!

#2

帖子 astolia » 2011-01-11 13:08

在ubuntu下用yum?真搞笑
sudo apt-get install linux-headers-generic
头像
acer4740
帖子: 1404
注册时间: 2010-09-13 19:04
来自: 0xFF00EE
送出感谢: 1 次
接收感谢: 3 次

Re: 高手们都来啊!求救!kernel-devel的问题!!

#3

帖子 acer4740 » 2011-01-11 14:44

kernel-devel
应该是rpm系的
ahfyryf
帖子: 2
注册时间: 2011-01-11 11:45
送出感谢: 0
接收感谢: 0

Re: 高手们都来啊!求救!kernel-devel的问题!!

#4

帖子 ahfyryf » 2011-01-11 18:57

astolia 写了:在ubuntu下用yum?真搞笑
sudo apt-get install linux-headers-generic
————————————————————————
本来是不能用的,但安装了以后可以用了,但说是没有可用的
hj_545
帖子: 134
注册时间: 2008-02-12 19:09
送出感谢: 0
接收感谢: 0
联系:

Re: 高手们都来啊!求救!kernel-devel的问题!!

#5

帖子 hj_545 » 2011-03-24 20:46

我也遇到这个问题了,:-)!
hj_545
帖子: 134
注册时间: 2008-02-12 19:09
送出感谢: 0
接收感谢: 0
联系:

Re: 高手们都来啊!求救!kernel-devel的问题!!

#6

帖子 hj_545 » 2011-03-24 21:04

http://communities.vmware.com/message/1645785
sudo apt-get install linux-headers-$(uname -r)
sudo apt-get install build-essential linux-kernel-headers linux-kernel-devel

http://superuser.com/questions/200606/v ... untu-10-10
You can install the open version of the VMware tools through apt-get. From a fresh install of Ubuntu 10.10, just do this:

apt-get install --no-install-recommends open-vm-dkms
apt-get install open-vm-tools

I installed VMware tools "manually" as described here. The guide is for 10.04 but it will also work in 10.10:

sudo apt-get update && sudo apt-get upgrade
sudo mount /dev/cdrom /media/cdrom
cp /media/cdrom/VMware*.tar.gz /tmp
sudo umount /media/cdrom
cd /tmp
tar xzvf VMware*.gz
cd vmware-tools-distrib/
sudo ./vmware-install.pl
回复

回到 “老旧版本支持”